# Input

Author: Ludovica Brusaferri<br />
Author: Elise Emond<br />
Author: Kris Thielemans<br />
Author: Robert Twyman<br />
Copyright (C) 2018-2020 University College London<br />
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
<br />
http://www.apache.org/licenses/LICENSE-2.0.txt
<br />
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

Created:  Mon 11 May 2020

This directory contains some sub macro files used for the GATE simulation.
Note: Any paths to files/directories link are relative to the current working directory.


Files
=======

* `AttenuationConv.dat`: this file contain the thresholds relative to the input attenuation image for assigning attenuation values to each tissue class
* `cuts.mac`: sets cut in region for phantom and detector crystal
* `GateMaterials.db`: contains material used to create the attenuation map
* `GATEOutput.mac`: Here the GATE output defined. GATE will output up to three root files files containing either: Coincidences, Singles, or Delayed.
* `PhantomActivity.mac`: here the activity source is defined.
* `PhantomAttenuation.mac`: here the mu-map phantom is defined. This macro loads the `dmap.*` that should have been previously generated by `SetupDmap.mac`.
* `physics.mac`: contains the physics list
* `SetupDmap.mac`: Gate macro that initialises a GATE simulation with the intention of creating `dmap.hdr` and `dmap.img`. This should be run before any other GATE simulation. This was implemented to avoid parallel GATE jobs overwriting the `dmap.*`, which could lead to conflicts. 
* `visualisation.mac`: sets GATE visualisation settings.
